Status: Needs Feedback Priority: Should have
Author: Christopher Hlubek Category: Package
Created: 2013-05-03 Assigned To: Christopher Hlubek
Updated: 2013-08-14 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Remove .htaccess from Composer Installer Essentials
Description

It's very hard to tweak mod_rewrite rules if the .htaccess file is not under control of the user. It's a little bit harder to update the file to a
new version, but now it's impossible to provide a custom .htaccess with a default deployment without any workarounds.

Also to tweak the .htaccess rules we should stop rewriting if URLs for /apple-touch-icon-*.png are requested, since this will clutter the
log and should be treated like the favicon.ico file.

Related issues:
related to TYPO3.Flow - Bug # 54553: Web/.htaccess will be overridden on ever... Resolved 2013-12-21

History
#1 - 2013-05-03 20:37 - Jacob Floyd

I have to edit the .htaccess file to make Flow work on my shared host. So, I second the motion of not keeping .htaccess itself in version control. Maybe
have a _.htaccess and copy it in place if there's no .htaccess there.

I have to add the following line to .htaccess to give flow the right php settings:
SetEnv PHPRC /home/[username]/.php/php.ini

#2 - 2013-05-21 12:05 - Robert Lemke
- Category set to Package
- Status changed from New to Needs Feedback
- Target version set to 2.0

Can you provide a patch and push it to Gerrit? Otherwise we need to postpone it to 2.0.1

#3 - 2013-08-14 15:35 - Karsten Dambekalns
- Target version changed from 2.0 to 2.0.1
